package cz.fi.muni.pa165.dao;


import cz.fi.muni.pa165.entity.BaseEntity;

import java.util.List;
import java.util.UUID;

public interface BaseDao <T> {

    void create(T t);

    List<T> findAll();

    T findById(UUID id);

    void remove(T t);
}
